
Redmine - Feature #1191

Allow custom column choice in issue browser

2008-05-06 16:39 - Leszek Ciesielski

Status: Closed Start date: 2008-05-06

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

When creating a custom query one is able to customise also the list of visible columns. It would be useful to allow this without the

need to save the query (or at least hint the user that this is possible).

Related issues:

Related to Redmine - Feature #4272: Add or remove columns from the issue list Closed 2009-11-23

History

#1 - 2008-05-07 04:30 - Charles L

I agree that this would be a very useful feature. This would allow easy cutomization of, eg, csv exports to include custom fields etc as well.

#2 - 2008-05-07 10:07 - Leszek Ciesielski

The CSV export has problems similar to PDF export (#1190). Although when PDF only shows default columns, CSV always shows all columns.

#3 - 2009-02-18 12:26 - Michael Aye

+1

#4 - 2009-02-19 06:46 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

I have something that should do this.  I'll need to clean it up but it should work with a bit of CSS updates.  It lets you right click on the issues table and

pick what columns to display.

It doesn't do anything for CSV or PDF, I believe there are already issues requesting columns customization for them.

#5 - 2009-11-23 02:28 - Mischa The Evil

Eric Davis wrote:

I have something that should do this. I'll need to clean it up but it should work with a bit of CSS updates. It lets you right click on the issues table

and pick what columns to display.

 He he, any progress on this?

#6 - 2009-11-25 02:44 - Eric Davis

See #4272

#7 - 2009-11-28 12:59 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

Done in r3105.
